Subject: Re: bug#60936: 30.0.50; ERC >5.5: Add erc-fill style based on visual-line-mode

From: "J.P." <[email-masked]>
Date: Tue, 24 Oct 2023 19:17:51 -0700

"J.P." <[email-masked]> writes:

> v2. Fix date-stamp regression in erc-track. Optionally reinstate old
> "prepended" date-stamp behavior gated by new compat var.
>
> [...]
>
> @@ -665,19 +666,17 @@ erc-stamp--insert-date-stamp-as-phony-message
>    (cl-assert string)
>    (let ((erc-stamp--skip t)
>          (erc--msg-props (map-into `((erc-msg . datestamp)
> -                                    (erc-ts . ,erc-stamp--current-time))
> +                                    (erc-ts . ,(erc-stamp--current-time)))
>                                    'hash-table))
> -        (erc-send-modify-hook `(,@erc-send-modify-hook
> -                                erc-stamp--propertize-left-date-stamp
> -                                ,@erc-stamp--insert-date-hook))
>          (erc-insert-modify-hook `(,@erc-insert-modify-hook
> -                                  erc-stamp--propertize-left-date-stamp
> -                                  ,@erc-stamp--insert-date-hook)))
> +                                  erc-stamp--propertize-left-date-stamp))
> +        ;; Don't run hooks that aren't expecting a narrowed buffer.

This also needs

           (erc-insert-pre-hook nil)

> +        (erc-insert-done-hook nil))
>      (erc-display-message nil nil (current-buffer) string)
>      (setq erc-timestamp-last-inserted-left string)))

because any hook member that can't operate in a narrowed buffer will
fail, especially on init, when the narrowed region is empty.